Bug 1284246 - EL 7: proftpd segfault - mod_delay/0.7: unable to open DelayTable '/run/proftpd/proftpd.delay'
EL 7: proftpd segfault - mod_delay/0.7: unable to open DelayTable '/run/proft...
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: proftpd (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-22 06:45 EST by Peter Bieringer
Modified: 2017-08-04 05:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2015-11-22 06:45:12 EST
Description of problem:
proftpd crashed on CentOS 7 once mod_delay becomes active

Version-Release number of selected component (if applicable):
proftpd-1.3.5a-1.el7.x86_64

How reproducible: at least one time

Steps to Reproduce: don't know


Actual results:
Nov 22 07:40:28 *** proftpd[854]: 2015-11-22 07:40:28,011 *** proftpd[854] ***: ProFTPD killed (signal 15)
Nov 22 07:40:28 *** proftpd[854]: 2015-11-22 07:40:28,097 *** proftpd[854] ***: mod_delay/0.7: unable to open DelayTable '/run/proftpd/proftpd.delay': 그런 파일이나 디렉터리가 없습니다
Nov 22 07:40:28 *** proftpd[854]: 2015-11-22 07:40:28,097 *** proftpd[854] ***: ProFTPD 1.3.5a standalone mode SHUTDOWN


also happened in the past:
Sep 11 12:14:31 *** proftpd[774]: 2015-09-11 12:14:31,634 *** proftpd[774] ***: mod_delay/0.7: unable to open DelayTable '/run/proftpd/proftpd.delay': Няма такъв файл или директория



Expected results:
No crash


Additional info:
mod_delay is built-in in this release

# proftpd -v
ProFTPD Version 1.3.5a

# proftpd -l |grep mod_delay
  mod_delay.c

according to http://www.proftpd.org/docs/modules/mod_delay.html DelayEngine is also active by default.

Related directory is empty:

# ll /run/proftpd
total 0

but after start->stop the delay file is existing:

# LC_ALL=C ll /run/proftpd/
total 28
-rw-r--r-- 1 root root 25216 Nov 22 12:25 proftpd.delay


missing file can be reproduced by delete while proftpd is running, but this do not cause the crash.

Hopefully not a new security hole...
Comment 1 Paul Howarth 2016-01-07 06:26:32 EST
Is this crash happening at start-up of proftpd, or after it's been running for a while?
Comment 2 Ruben Püttmann 2017-08-03 05:46:51 EDT
hi,

we have the same problem. It happend after start.:

JJul 10 22:51:11 XXXXXXX proftpd: 2017-07-10 22:51:11,466 XXXXX.stratoserver.net proftpd[339] XX.XXX.XXX.XX: ProFTPD killed (signal 15)
Jul 10 22:51:21 XXXXXXX proftpd: 2017-07-10 22:51:11,788 XXXXX.stratoserver.net proftpd[339] XX.XXX.XXX.XX: mod_delay/0.7: unable to open DelayTable '/run/proftpd/proftpd.delay': そのようなファイルやディレクトリはありません
Jul 10 22:51:21 XXXXXXX proftpd: 2017-07-10 22:51:11,788 XXXXX.stratoserver.net proftpd[339] XX.XXX.XXX.XX: ProFTPD 1.3.5e standalone mode SHUTDOWN

system locale is C. So this wired utf-8 char in log will be generated from 
proftpd

Base is:


[root@XXXXX log]# cat /etc/centos-release
CentOS Linux release 7.3.1611 (Core) 
[root@XXXXX log]# rpm -qa |grep proft
proftpd-1.3.5e-2.el7.x86_64
proftpd-utils-1.3.5e-2.el7.x86_64
[root@XXXXX log]#
Comment 3 Paul Howarth 2017-08-03 06:04:47 EDT
Is this at all reproducible?
Comment 4 Ruben Püttmann 2017-08-04 05:48:14 EDT
It happend in the last month two times on my system. 
I think it is external triggered. I self have not found a way to manual reproduce

Note You need to log in before you can comment on or make changes to this bug.